const Media = require('./Media');

class Movie extends Media {
  constructor(name, year, mediaURLs) {
    super(name, mediaURLs);
    this.year = year;
  }

  getDownloadPackageName() {
    return `${this.name} (${this.year})`;
  }

  getDownloadDestinationFolder() {
    return `${this.name} (${this.year})`;
  }

  getDownloadFilename(ext) {
    return `${this.name} (${this.year}).${ext}`;
  }
}

module.exports = Movie;
